import { OnChanges, SimpleChanges } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { NzModalService } from 'ng-zorro-antd';
import { NcFileRef } from './nc-file-select.interface';
import { NcImageViewerService } from '../nc-image-viewer.service';
import { NcImageEvent } from '../nc-image-event.class';
export declare class NcFileSelectComponent implements OnChanges, ControlValueAccessor {
    private _modalSrv;
    private _imageViewerSrv;
    ncValue: NcFileRef[];
    ncDisabled: boolean;
    ncListType: `text` | `picture` | `picture-card`;
    ncSize: `large` | `small` | `default`;
    ncFileType: string;
    ncFileSize: number;
    ncLength: number;
    ncFilterFn: (ncValue: NcFileRef[]) => NcFileRef[];
    ncOnPreview: (ncValueItem: NcFileRef) => void;
    ncCanRemove: (ncValueItem: NcFileRef) => boolean;
    private _propagateChange;
    private _propagateTouched;
    constructor(_modalSrv: NzModalService, _imageViewerSrv: NcImageViewerService);
    ngOnChanges(changes: SimpleChanges): void;
    writeValue(ncValue: NcFileRef[]): void;
    registerOnChange(fn: (ncValue: NcFileRef[]) => void): void;
    registerOnTouched(fn: (ncValue: NcFileRef[]) => void): void;
    setDisabledState(isDisabled: boolean): void;
    _loadStart(event: NcImageEvent): void;
    _loadEnd(event: NcImageEvent): void;
    _change(event: Event): void;
    _preview(event: MouseEvent, fileItem: NcFileRef): void;
    _remove(event: MouseEvent, fileItem: NcFileRef): void;
    private _emitValue;
}
